<div class="container">
  <div>
    <h1>Cadastre seu pet</h1>
  </div>
  <form #form="ngForm">
    <div class="alinhar-lado-lado carac">
      <div>
        <label for="txt_nome">Nome do pet: </label>
        <input class="informacao" type="text" name="nome" id="txt_nome" [(ngModel)]="animal.nome" pInputText>
      </div>
      <div>
        <label for="txt_idade">Idade: </label>
        <input class="informacao caracteristicas" type="text" name="idade" id="txt_idade" [(ngModel)]="animal.idade" pInputText>
      </div>
    </div>
    <div class="alinhar-lado-lado carac">
      <div>
        <label for="drop_especie">Especie: </label>
        <p-dropdown class="informacao" [options]="especies" name="especie" [(ngModel)]="selectedEspecie"
          id="drop_especie"></p-dropdown>
      </div>
      <div>
        <label for="drop_sexo">Sexo: </label>
        <p-dropdown class="informacao" [options]="sexo" name="sexo" [(ngModel)]="selectedSexo" id="drop_sexo">
        </p-dropdown>
      </div>
      <div>
        <label for="drop_porte">Porte: </label>
        <p-dropdown class="informacao" [options]="porte" name="porte" [(ngModel)]="selectedPorte" id="drop_porte">
        </p-dropdown>
      </div>
    </div>
    <div class="form-desc-img">
      <div>
        <label for="descricao">Sobre seu pet</label>
        <textarea class="informacao" [rows]="5" [cols]="30" pInputTextarea name="descricao" id="descricao"
          placeholder="Descreva aqui  personalidade de seu pet." [(ngModel)]="animal.descricao"></textarea>
      </div>
      <div>
        <label for="imagens">Baixe as imagens do pet</label>
        <p-fileUpload id="imagens" name="imagens[]" (uploadHandler)="myUploader($event)" [customUpload]="true"></p-fileUpload>
      </div>
    </div>
  </form>
  
      <div class="button">
        <button pButton type="submit" (click)="salvar()" label="Cadastrar" ></button>
      </div>
</div>